## klibc 1.5.14-1~exp1ubuntu2

=== debian/changelog ===
klibc (1.5.14-1~exp1ubuntu2) jaunty; urgency=low

  * 20_ext4.patch: Backport Theodore Ts'o's patch from 1.5.15 to fix
    ext4/ext4dev probing (LP: #309762).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jan 2009 13:53:41 +0000

klibc (1.5.14-1~exp1ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian (gcc unhardcoding fixes LP: #297152).
    Remaining changes:
    - Add lpia to the architecture list for klibc-utils-floppy-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Nov 2008 11:38:17 +0000

klibc (1.5.14-1~exp1) experimental; urgency=low

  * New upstream version
    - nuke merged 11_klibc-Default-signal-3-to-bsd_signal-3.patch
    - no longer hardcode gcc

 -- maximilian attems <maks@debian.org>  Mon, 11 Aug 2008 16:34:11 +0200

klibc (1.5.12-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add lpia to the architecture list for klibc-utils-floppy-udeb.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 11 Nov 2008 16:31:24 +0000

klibc (1.5.12-2) unstable; urgency=medium

  * Add backport 11_klibc-Default-signal-3-to-bsd_signal-3.patch.
  * Adjust watch file.

 -- maximilian attems <maks@debian.org>  Mon, 11 Aug 2008 16:09:45 +0200

klibc (1.5.12-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add lpia to the architecture list for klibc-utils-floppy-udeb.

 -- Kees Cook <kees@ubuntu.com>  Sun, 03 Aug 2008 19:06:02 -0700

klibc (1.5.12-1) unstable; urgency=low

  * New upstream release (memmove, fflush, cpio) (closes: #489945)

 -- maximilian attems <maks@debian.org>  Sat, 12 Jul 2008 21:48:56 +0200

klibc (1.5.11-3) unstable; urgency=high

  * libklibc-dev depend on gcc-4.1. (closes: #489103)

 -- maximilian attems <maks@debian.org>  Thu, 03 Jul 2008 19:33:56 +0200

klibc (1.5.11-2) unstable; urgency=high

  * gcc-4.1 build dep.

 -- maximilian attems <maks@debian.org>  Fri, 27 Jun 2008 01:40:39 +0200

klibc (1.5.11-1) unstable; urgency=high

  * New upstream release (ext4, ipconfig, mount)
    - drop merged 11-klibc-run-init-drop-executable-stack.patch,
      12-klibc-avoid-.gitignore-in-the-include-directory.patch
  * Fallback to gcc-4.1 4.3 miscompiles. (closes: #486557)

 -- maximilian attems <maks@debian.org>  Fri, 27 Jun 2008 00:59:27 +0200

klibc (1.5.10-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add lpia to the architecture list for klibc-utils-floppy-udeb.

 -- Kees Cook <kees@ubuntu.com>  Mon, 09 Jun 2008 10:40:21 -0700

klibc (1.5.10-1) unstable; urgency=low

  * New upstream release (dmesg, nfsmount)
    - dmesg: fix the stripping of priority codes (closes: #483186)
    - ubuntu sync rework 11-klibc-run-init-drop-executable-stack.patch
    - add git fix 12-klibc-avoid-.gitignore-in-the-include-directory.patch

 -- maximilian attems <maks@debian.org>  Fri, 27 Jun 2008 00:59:21 +0200

klibc (1.5.9-2) unstable; urgency=low

  * debian/control: Fix Description klibc-utils are not statically linked.
    Thanks Anthony Towns <ajt@debian.org> for noticing.
  * klibc-utils-floppy-udeb.install: Drop mkdir, mknod, sh due to full floppy.
    Thanks Joey Hess <joeyh@debian.org>. (closes: #474061)

 -- maximilian attems <maks@debian.org>  Wed, 09 Apr 2008 11:00:29 +0200

klibc (1.5.9-1) unstable; urgency=low

  * New upstream release (fstype jfs + nilfs2, ipconfig, nfsmount)
    - Drop merged 02_header_clean_install.patch, 20_mount-options.patch
    - mknod gained -m permission switch. (closes: #469577)
  * debian/control: Add git Vcs fields.

 -- maximilian attems <maks@debian.org>  Fri, 28 Mar 2008 23:09:57 +0100

klibc (1.5.8-1) unstable; urgency=low

  * New upstream release (fstype squashfs-lzma, ipconfig) (closes: #455703)
  * Ubuntu sync add 20_mount-options.patch for FUSE mount. (closes: #463258)
  * Add 02_header_clean_install.patch.
  * Drop unused 03-sparc-libgcc42.patch.
  * Add 10_insmod.patch for d-i floppy usage.
  * Fix copyright notice.
  * Newer standard version without changes.

 -- maximilian attems <maks@debian.org>  Sat, 22 Mar 2008 14:09:56 +0100

klibc (1.5.7-4ubuntu3) hardy; urgency=low

  * Adjust 30-drop-executable-stack.patch: sledgehammer run-init
    instead of the entire klibc suite, since PAE+nx and signal
    handlers could end up failing in rare cases.

 -- Kees Cook <kees@ubuntu.com>  Fri, 04 Apr 2008 17:39:58 -0700

klibc (1.5.7-4ubuntu2) hardy; urgency=low

  * Add 30-drop-executable-stack.patch: do not generate executable
    stack for ia32, so the READ_IMPLIES_EXEC does not get set for
    children (LP: #202161).

 -- Kees Cook <kees@ubuntu.com>  Thu, 03 Apr 2008 11:37:28 -0700

klibc (1.5.7-4ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add lpia to the architecture list for klibc-utils-floppy-udeb.
    - 20_mount-options.patch: Add trivial support for the -f and -i options
      to mount and the -i option to umount. This should be enough to support
      mounting FUSE filesystems in the initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Dec 2007 12:57:54 +0000

klibc (1.5.7-4) unstable; urgency=high

  * debian/rules: Set verbose kbuild for toolchain troubles.  Compile
    32 bit on ppc and 31 bit on s390. (closes: #453422, #453424)

 -- maximilian attems <maks@debian.org>  Fri,  7 Dec 2007 16:12:36 +0100

klibc (1.5.7-3) unstable; urgency=high

  * debian/rules: s/sparc64/sparc/ thanks to the Debian sparc folks.
    (closes: #399724)

 -- maximilian attems <maks@debian.org>  Thu, 22 Nov 2007 18:50:55 +0100

klibc (1.5.7-2) unstable; urgency=high

  * Add 03-sparc-libgcc42.patch (closes: #440721)
    Thanks for report and testing to Kilian Krause <kilian@debian.org>

 -- maximilian attems <maks@debian.org>  Thu, 22 Nov 2007 18:50:50 +0100

klibc (1.5.7-1) unstable; urgency=low

  * New upstream release
  * Build-dep on s/flex/m4/.

 -- maximilian attems <maks@debian.org>  Tue, 04 Sep 2007 13:03:09 +0200

klibc (1.5.6-2) unstable; urgency=high


