=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/libs/klibc/Testing/klibc-([0-9].[0-9].[0-9]+).tar.bz2
