## klibc 1.5.17

=== debian/changelog ===
klibc (1.5.17-4ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Recognise ext4 filesystems without journals.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Mar 2010 10:34:57 +0000

klibc (1.5.17-4) unstable; urgency=medium

  * libklibc-dev: On preinst remove old include dirs that hinder
    shipped symlinks to linux-libc-dev. (closes: #574854)

 -- maximilian attems <maks@debian.org>  Sun, 21 Mar 2010 22:51:11 +0100

klibc (1.5.17-3) unstable; urgency=low

  * Override dh_auto_test to pass DEB_HOST_ARCH on make test. (closes: #574746)

 -- maximilian attems <maks@debian.org>  Sat, 20 Mar 2010 20:52:09 +0100

klibc (1.5.17-2) unstable; urgency=low

  * Set DEB_HOST_ARCH using dpkg-architecture. (closes: #574740)

 -- maximilian attems <maks@debian.org>  Sat, 20 Mar 2010 18:24:16 +0100

klibc (1.5.17-1) unstable; urgency=low

  [ Jan Hauke Rahm ]
  * Switch from cdbs to debhelper 7
  * Switch to Source Format 3.0 (quilt) (closes: #573908)
  * Make documentation of klibc-utils and libklibc-dev be a symlink to
    libklibc

  [ maximilian attems ]
  * New upstream release
    - Fix FTFBS i386/sparc. (closes: #573926)
    - sparc, sparc64 use sys_socketcall unconditionally. (closes: #444087)
    - ipconfig may discard useful packets. (closes: #511959)

 -- maximilian attems <maks@debian.org>  Sat, 20 Mar 2010 02:11:20 +0100

klibc (1.5.16-1) unstable; urgency=low

  [ maximilian attems ]
  * New upstream release
    - ipconfig: raise field length for rootpath DHCP option.
      (closes: #497800)
    - ipconfig: send requested hostname in DHCP discover/request.
      (closes: #367301)
    - ipconfig: set null ciaddr on DHCPREQUEST during SELECTING state.
      (closes: #497879)
    - mount: list fs all mounted fs, support -t switch for one fs.
      (closes: #491067)
    - refresh 10_insmod.patch.
    - readlink be silent on failure. (closes: #565224)
    - fix compilation against up to 2.6.33 linux-libc-dev. (closes: #552825)
  * watch file fixup for new upstream directories.
  * Pump standard version to 3.8.4 without changes.
  * Add lintian overrides for embedded-zlib needed for early userspace.

  [ Nobuhiro Iwamatsu ]
  * klibc: add support Renesas SH(sh4) (closes: #540126)

  [ Ben Hutchings ]
  * Fix klibc Debian specific build with 02-klibc_linux_libc_dev.patch.
  * Add libklibc-dev depends on linux-libc-dev.

 -- maximilian attems <maks@debian.org>  Sun, 14 Mar 2010 22:46:21 +0100

klibc (1.5.15-1ubuntu4) lucid; urgency=low

  * 23-use-AF_INET-directly.patch,
    24-add-relevant-socket-h-definitions.patch: Backport patches sent
    upstream by Debian maintainer to add some <linux/socket.h> definitions
    (LP: #534281).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Mar 2010 18:37:51 +0000

klibc (1.5.15-1ubuntu3) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sat, 06 Mar 2010 13:29:50 +0100

klibc (1.5.15-1ubuntu2) karmic; urgency=low

  * 20-signal-cleanup.patch (update): Stop redefining 'struct sigaction' on
    sparc.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Oct 2009 09:38:00 +0100

klibc (1.5.15-1ubuntu1) karmic; urgency=low

  * 20-signal-cleanup.patch: Cope with header changes in Linux 2.6.30.
  * 21-mntproc-definitions.patch: MNTPROC_MNT and MNTPROC_UMNT are no longer
    defined by the kernel. Hack around this by restoring the old
    definitions.
  * 22-ext4-no-journal.patch: Recognise ext4 filesystems without journals
    (LP: #416636).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 04 Oct 2009 23:10:12 +0100

klibc (1.5.15-1) unstable; urgency=low

  [ maximilian attems ]
  * New upstream release:
    - fstype ext4 support. (closes: #510758)
    - chroot cmd fixed. (closes: #494829)
  * Pump standard version to 3.8.0 without changes.
  * Drop arm of the klibc-utils-floppy-udeb arch list.
  * Fix debhelper-but-no-misc-depends.
  * debian/copyright refer to GPL v2.
  * debian/rules nuke old commented unused lines.

  [ Colin Watson ]
  * Add lpia to the architecture list for klibc-utils-floppy-udeb.
    (closes: #506427)

  [ Thiemo Seufer ]
  * Fix FTBFS on MIPS64 kernel. (closes: #496175)

 -- maximilian attems <maks@debian.org>  Mon, 16 Feb 2009 16:41:51 +0100
