=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: klibc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: maximilian attems <maks@debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>
-Build-Depends: cdbs, debhelper (>= 5.0.0), linux-libc-dev, bison, m4
+Build-Depends: debhelper (>= 7.0.50), linux-libc-dev, bison, m4
 Section: libs
-Standards-Version: 3.7.3
+Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=kernel/klibc.git
 Vcs-Git: git://git.debian.org/git/kernel/klibc.git
 
 Package: libklibc-dev
 Section: libdevel
 Architecture: any
-Depends: libklibc (= ${binary:Version})
+Depends: libklibc (= ${binary:Version}), linux-libc-dev, ${misc:Depends}
 Description: kernel headers used during the build of klibc
  This package contains the set of kernel headers that were required to
  build klibc and the utilities that ship with it.  This may or may
@@ -22,6 +22,7 @@
 Package: libklibc
 Section: libs
 Architecture: any
+Depends: ${misc:Depends}
 Description: minimal libc subset for use with initramfs
  klibc is intended to be a minimalistic libc subset for use with
  initramfs.  It is deliberately written for small size, minimal
@@ -32,7 +33,7 @@
 Package: klibc-utils
 Section: libs
 Architecture: any
-Depends: libklibc (= ${binary:Version})
+Depends: libklibc (= ${binary:Version}), ${misc:Depends}
 Description: small utilities built with klibc for early boot
  This package contains a collection of programs that are linked
  against klibc. These duplicate some of the functionality of a
@@ -55,7 +56,7 @@
 
 Package: klibc-utils-floppy-udeb
 Section: debian-installer
-Architecture: alpha arm armeb armel amd64 hppa i386 lpia m68k mips mipsel powerpc s390 sparc
+Architecture: alpha armeb armel amd64 hppa i386 lpia m68k mips mipsel powerpc s390 sparc
 XC-Package-Type: udeb
 Depends: libklibc-udeb (= ${binary:Version})
 Description: small utilities built with klibc for the boot floppy
