=== debian/changelog ===
klibc (1.5.20-1ubuntu6) natty; urgency=low

  * debian/patches/multiarch-include-path: Include the multiarch include
    directory in klcc's path.  This fixes a build failure with rootskel
    against the current linux-libc-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Apr 2011 12:17:13 -0700

klibc (1.5.20-1ubuntu5) natty; urgency=low

  [ Wookey ]
  * Fix build to work with multiarched linux-libc-dev; LP: #750585.

  [ Steve Langasek ]
  * Tweak patch to behave correctly for both multiarch and pre-multiarch
    linux-libc-dev packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Apr 2011 02:27:17 -0700

klibc (1.5.20-1ubuntu4) natty; urgency=low

  * New patch, arm-size-directives, fixes generation of .size directive for
    ARM; this wouldn't build with recent binutils and was generating broken
    assembler anyway.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 16 Mar 2011 22:51:32 +0100

klibc (1.5.20-1ubuntu3) natty; urgency=low

  * usr/klibc/arch/ppc64/crt0.S: Fix build failure with stricter
    as (Colin Watson).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2011 21:10:30 +0100

klibc (1.5.20-1ubuntu2) natty; urgency=low

  * debian/patches/arm-thumb2: fix up ARM assembly to use 'bx lr' in place
    of 'mov pc, lr'.  LP: #527720.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Feb 2011 22:54:19 -0800

klibc (1.5.20-1ubuntu1) natty; urgency=low

  * Install static binaries on ppc64.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2011 13:37:56 +0000

klibc (1.5.20-1) unstable; urgency=high

  * New upstream release
    - ipconfig: fix infinite loop. (closes: #552554)
    - ipconfig: fix multiple dns domains. (closes: #594208)
  * klibc-utils.postinst: Nuke non empty dirs too. (closes: #594651)

 -- maximilian attems <maks@debian.org>  Sat, 28 Aug 2010 12:23:51 +0200

klibc (1.5.19-1) unstable; urgency=high

  * New upstream release
   - resume: silence warning on resume try. (closes: #586006)
   - sh4: syscalls fixes. (closes: #578076)
  * Fix doc symlinks on upgrade. (closes: #588763)
    Thanks Sven Joachim <svenjoac@gmx.de>.
  * Pump standard version to 3.9.1 without changes.

 -- maximilian attems <maks@debian.org>  Wed, 25 Aug 2010 13:07:03 +0200

klibc (1.5.18-1) unstable; urgency=medium

  * New upstream release (dash 0.5.6)
    - fstype btrfs (closes: #548047), ext4 !journal (closes: #536592)
    - sh4 build fix (closes: #574834)
    - shipp renamed README.ipconfig (closes: #478589)

 -- maximilian attems <maks@debian.org>  Thu, 22 Apr 2010 03:38:55 +0200
