=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>
 Build-Depends: debhelper (>= 7.0.50), linux-libc-dev, bison, m4
 Section: libs
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=kernel/klibc.git
 Vcs-Git: git://git.debian.org/git/kernel/klibc.git
