=== debian/rules ===
#!/usr/bin/make -f

# let debhelper be verbose
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH),armel)
DEB_MAKE_ENVVARS := CONFIG_AEABI=y
endif
ifeq ($(DEB_HOST_ARCH),ia64)
DEB_MAKE_ENVVARS := ARCH=ia64
endif
ifeq ($(DEB_HOST_ARCH),sparc)
DEB_MAKE_ENVVARS := ARCH=sparc
endif
ifeq ($(DEB_HOST_ARCH),s390)
DEB_MAKE_ENVVARS := ARCH=s390
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
ARCH=ppc
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),mips mipsel))
DEB_MAKE_ENVVARS := ARCH=mips
endif
ifeq ($(DEB_HOST_ARCH),sh4)
DEB_MAKE_ENVVARS := ARCH=sh
endif
ifeq ($(DEB_HOST_ARCH),ppc64)
DEB_MAKE_ENVVARS := ARCH=ppc64
endif

DEB_MAKE_ENVVARS := INSTALLROOT=debian/tmp $(DEB_MAKE_ENVVARS)

# Enable this to get verbose build information
DEB_MAKE_ENVVARS += KBUILD_VERBOSE=1

%:
	dh $@ --link-doc=libklibc

override_dh_auto_build:
	if [ ! -e linux ]; then \
		rm -rf linux/include; \
		mkdir -p linux/include; \
		ln -s /usr/include/linux linux/include; \
		if [ -n "$(DEB_HOST_MULTIARCH)" ]; then \
			ln -s /usr/include/$(DEB_HOST_MULTIARCH)/asm linux/include; \
		fi; \
		for x in /usr/include/asm*; do \
			ln -s $${x} linux/include; \
		done \
	fi
	make all $(DEB_MAKE_ENVVARS)

override_dh_auto_clean:
	rm -rf linux
	dh_auto_clean

override_dh_auto_install:
	make install $(DEB_MAKE_ENVVARS)

override_dh_auto_test:
	make test $(DEB_MAKE_ENVVARS)

override_dh_fixperms:
	dh_fixperms -Xklibc-
