## klibc 1.5.22

=== debian/changelog ===
klibc (1.5.22-1ubuntu2) oneiric; urgency=low

  * Install /usr/lib/klibc/include/asm symlink even in the presence of
    multiarch libc6-dev (LP: #829356).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Aug 2011 12:32:52 +0100

klibc (1.5.22-1ubuntu1) oneiric; urgency=low

  * Restore change from 1.5.20-1ubuntu5, removed by mistake:
    - Fix build to work with multiarched linux-libc-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jul 2011 17:21:55 +0100

klibc (1.5.22-1) unstable; urgency=high

  * New upstream release (arm, ipconfig)
    - arm: fix build failure with latest binutils. (closes: #618616)
    - arm: use bx on thumb2 (v3) (LP: #527720)
    - ipconfig: handle multiple connected network dev. (closes: #621065)
  * Ubuntu sync add ppc64-static. (closes: #613955)
    Thanks Colin Watson <cjwatson@ubuntu.com>.
  * Ubuntu sync add klcc multiarch-include-path. (closes: #622814)
    Thanks Steve Langasek <steve.langasek@canonical.com>
  * Pump standard version to 3.9.2 without changes.
  * Drop Jeff Bailey from Uploaders.

 -- maximilian attems <maks@debian.org>  Wed, 18 May 2011 13:39:01 +0200

klibc (1.5.21-1) unstable; urgency=low

  * New upstream release (i386 signal(), make 3.82, cleanups)

 -- maximilian attems <maks@debian.org>  Tue, 25 Jan 2011 23:45:20 +0100
