=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: maximilian attems <maks@debian.org>
-Uploaders: Jeff Bailey <jbailey@raspberryginger.com>
 Build-Depends: debhelper (>= 7.0.50), linux-libc-dev, bison, m4
 Section: libs
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=kernel/klibc.git
 Vcs-Git: git://git.debian.org/git/kernel/klibc.git
