## klibc 1.5.25

=== debian/changelog ===
klibc (1.5.25-1) unstable; urgency=low

  * New upstream release (scandir, capset, capget, kinit drop_capabilities)

 -- maximilian attems <maks@debian.org>  Tue, 23 Aug 2011 17:54:43 +0200

klibc (1.5.24-1) unstable; urgency=low

  * New upstream release (sched_setaffinity, sched_getaffinity, kexec_load)
    - ipconfig: Don't try to guess the nameserver. (closes: #594638)
    - refresh debian/patches/klibc-linux-libc-dev

 -- maximilian attems <maks@debian.org>  Wed, 27 Jul 2011 16:54:47 +0200

klibc (1.5.23-2) unstable; urgency=low

  * Really apply Fix-minimal-mv-to-work-across-fs.

 -- maximilian attems <maks@debian.org>  Fri, 08 Jul 2011 01:09:48 +0200

klibc (1.5.23-1) unstable; urgency=low

  * New upstream release (arm, dash sync, limits.h, ppc64)
    - minimal mv in klibc-utils.
    - refresh debian/patches/insmod
  * Add Fix-minimal-mv-to-work-across-fs.patch (closes: #627808)
  * Add armhf support. (closes: #627252)
    Thanks to Konstantinos Margaritis <markos@genesi-usa.com>.
  * Add klibc crosscompile support. (closes: #629934)
    Thanks to Steve McIntyre <steve.mcintyre@linaro.org>.
  * debian/copyright: Add specific BSD license text to keep lintian happy.

 -- maximilian attems <maks@debian.org>  Tue, 14 Jun 2011 17:32:53 +0200
