=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: klibc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: maximilian attems <maks@debian.org>
+Maintainer: maximilian attems <maks@debian.org>
 Build-Depends: debhelper (>= 7.0.50), linux-libc-dev, bison, m4
 Section: libs
 Standards-Version: 3.9.2
