=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_HOST_ARCH),armel)
 DEB_MAKE_ENVVARS := CONFIG_AEABI=y
+endif
+ifeq ($(DEB_HOST_ARCH),armhf)
+DEB_MAKE_ENVVARS := ARCH=arm CONFIG_AEABI=y CPU_ARCH=armv7-a CPU_TUNE=cortex-a8
 endif
 ifeq ($(DEB_HOST_ARCH),ia64)
 DEB_MAKE_ENVVARS := ARCH=ia64
@@ -33,6 +36,13 @@
 
 DEB_MAKE_ENVVARS := INSTALLROOT=debian/tmp $(DEB_MAKE_ENVVARS)
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+    DEB_MAKE_ENVVARS += CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
+endif
+
+
 # Enable this to get verbose build information
 DEB_MAKE_ENVVARS += KBUILD_VERBOSE=1
 
@@ -44,11 +54,15 @@
 		rm -rf linux/include; \
 		mkdir -p linux/include; \
 		ln -s /usr/include/linux linux/include; \
+		INC_PATH="/usr/include/asm*"; \
 		if [ -n "$(DEB_HOST_MULTIARCH)" ]; then \
-			ln -s /usr/include/$(DEB_HOST_MULTIARCH)/asm linux/include; \
+			INC_PATH="$${INC_PATH} /usr/include/$(DEB_HOST_MULTIARCH)/asm*"; \
+			INC_PATH="$${INC_PATH} /usr/$(DEB_HOST_MULTIARCH)/include/asm*"; \
 		fi; \
-		for x in /usr/include/asm*; do \
-			ln -s $${x} linux/include; \
+		for x in $${INC_PATH}; do \
+			if [ -e $${x} ] ; then \
+				ln -sf $${x} linux/include; \
+			fi; \
 		done \
 	fi
 	make all $(DEB_MAKE_ENVVARS)
