## klibc 2.0~rc1

=== debian/changelog ===
klibc (2.0~rc1-1experimental1) experimental; urgency=low

  * New upstream snapshot release (buffered stdio)
  * Ubuntu sync fix klcc for multiarch. (closes: #639057, LP: #829356)
    Thanks Colin Watson <cjwatson@ubuntu.com>.

 -- maximilian attems <maks@debian.org>  Tue, 06 Sep 2011 17:57:54 +0200
