## klibc 2.0.1

=== debian/changelog ===
klibc (2.0.1-3.1) unstable; urgency=low

  * Non-maintainer upload with consent of maintainer.
  * Add migration script for /usr/share/doc/libklibc-dev (Closes: #692951)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 Nov 2012 11:30:14 +0000

klibc (2.0.1-3) unstable; urgency=medium

  [ Bill Pringlemeir ]
  * [f05ff11] [klibc] fix ARM longjmp with zero 'val'.

 -- maximilian attems <maks@debian.org>  Mon, 08 Oct 2012 21:57:01 +0200

klibc (2.0.1-2) unstable; urgency=low

  [ Sven Joachim ]
  * [08c03cf] klibc: produces 64-bit binaries on i386 with x86_64 kernel
    (Closes: #677087)

  [ Thorsten Glaser ]
  * [d8eae3a] [klibc] arm: fix trashing of callee-saved registers in thumb
     setjmp() (Closes: #634890)
  * [81170b5] [klibc] arm: unbreak armhf shared binaries (those with thumb)
  * [aeb7847] armhf builds are always thumb

  [ Jim Meyering ]
  * [9ba90cd] [klibc] Avoid overflow for very long variable name

 -- maximilian attems <maks@debian.org>  Mon, 01 Oct 2012 15:54:05 +0200

klibc (2.0.1-1) unstable; urgency=high

  * New upstream release (nfsmount, get{host,domain}name())
  * debian/watch: fix file for new repo layout.

 -- maximilian attems <maks@debian.org>  Thu, 28 Jun 2012 18:29:48 +0200

klibc (2.0-2) unstable; urgency=low

  * debian/control: Add breaks to initramfs-tools for ipconfig /run switch.

 -- maximilian attems <maks@debian.org>  Thu, 31 May 2012 15:42:03 +0200

klibc (2.0-1) unstable; urgency=low

  * New upstream release (arch, ipconfig)
    - ipconfig support domain-search, lease (closes: #627166)

 -- maximilian attems <maks@debian.org>  Thu, 31 May 2012 15:05:55 +0200

klibc (2.0~rc5-1) unstable; urgency=low

  * New upstream snapshot (arch fixes) (closes: #673413)

 -- maximilian attems <maks@debian.org>  Fri, 18 May 2012 18:16:51 +0200

klibc (2.0~rc4-1) unstable; urgency=low

  * New upstream snapshot (stdio work)
    - drop merged m68k-support
  * armel: Set arm arch for cross compiling.
  * klibc-linux-libc-dev: Adapt for cross building (closes: #666389)
    Based on Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> 

 -- maximilian attems <maks@debian.org>  Fri, 18 May 2012 14:48:04 +0200

klibc (2.0~rc3-1) unstable; urgency=low

  * New upstream snapshot (closes: #653790)
    - klibc/s390x klcc fix thanks to Aurelien Jarno <aurel32@debian.org>.
  * Pump standard version to 3.9.3 without changes.

 -- maximilian attems <maks@debian.org>  Fri, 02 Mar 2012 11:08:51 +0100

klibc (2.0~rc2-0.1) unstable; urgency=low

  * Non-maintainer upload with consent of maintainer.
  * Upload to unstable (maks says we target 2.0 for wheezy)
  * New upstream snapshot (fixes FTBFS)
  * Update Vcs-* for (temporary) move to collab-maint
  * Refresh all patches
  * Add m68k patch submitted upstream, for testing (Closes: #334917)
  * Shut up lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 11 Feb 2012 19:25:23 +0000

klibc (1.5.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build to work with multiarched linux-libc-dev (using patch from
    Ubuntu), closes: #645738.

 -- Julien Cristau <jcristau@debian.org>  Fri, 30 Dec 2011 17:04:30 +0100
