## klibc 2.0.2

=== debian/changelog ===
klibc (2.0.2-1) unstable; urgency=low

  * New upstream release (dash, arm)
    - drop merged patches
    - build fixes for Linux > 3.4 (closes: #702068)

 -- maximilian attems <maks@debian.org>  Mon, 19 Aug 2013 22:59:22 +0200
