=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Maintainer: maximilian attems <maks@debian.org>
 Build-Depends: debhelper (>= 7.0.50), linux-libc-dev, bison, m4
 Section: libs
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=kernel/klibc.git
-Vcs-Git: git://git.debian.org/git/kernel/klibc.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel/klibc.git
+Vcs-Git: git://anonscm.debian.org/kernel/klibc.git
+# maybe some day replace with a real one?
+Homepage: http://git.kernel.org/?p=libs/klibc/klibc.git;a=summary
 
 Package: libklibc-dev
 Section: libdevel
@@ -18,7 +20,6 @@
  klibc.  If in doubt, use real kernel headers instead.
 
 Package: libklibc
-Section: libs
 Architecture: any
 Depends: ${misc:Depends}
 Description: minimal libc subset for use with initramfs
@@ -27,11 +28,10 @@
  entanglement, and portability, not speed.  It is definitely a work in
  progress, and a lot of things are still missing.
 
-
 Package: klibc-utils
-Section: libs
 Architecture: any
 Depends: libklibc (= ${binary:Version}), ${misc:Depends}
+Breaks: initramfs-tools (<< 0.103)
 Description: small utilities built with klibc for early boot
  This package contains a collection of programs that are linked
  against klibc. These duplicate some of the functionality of a
@@ -42,21 +42,22 @@
 Package: klibc-utils-udeb
 Section: debian-installer
 Architecture: any
-XC-Package-Type: udeb
-Depends: libklibc-udeb (= ${binary:Version})
-Description: small utilities built with klibc for early boot
+Package-Type: udeb
+Depends: libklibc-udeb (= ${binary:Version}), ${misc:Depends}
+Description: small utilities built with klibc for early boot (d-i)
  This package contains a collection of programs that are linked
  against klibc. These duplicate some of the functionality of a
  regular Linux toolset, but are typically much smaller than their
  full-function counterparts.  They are intended for inclusion in
  initramfs images and embedded systems.
-
+ .
+ This is the package for the Debian Installer.
 
 Package: klibc-utils-floppy-udeb
 Section: debian-installer
 Architecture: alpha armeb armel amd64 hppa i386 lpia m68k mips mipsel powerpc s390 sparc
-XC-Package-Type: udeb
-Depends: libklibc-udeb (= ${binary:Version})
+Package-Type: udeb
+Depends: libklibc-udeb (= ${binary:Version}), ${misc:Depends}
 Description: small utilities built with klibc for the boot floppy
  This package contains a small collection of programs that are linked
  against klibc. These duplicate some of the functionality of a
@@ -64,15 +65,15 @@
  full-function counterparts.  They are intended for inclusion in
  boot floppies.
 
-
 Package: libklibc-udeb
 Section: debian-installer
 Architecture: any
-XC-Package-Type: udeb
-Description: minimal libc subset for use with initramfs
+Package-Type: udeb
+Depends: ${misc:Depends}
+Description: minimal libc subset for use with initramfs (d-i)
  klibc is intended to be a minimalistic libc subset for use with
  initramfs.  It is deliberately written for small size, minimal
  entanglement, and portability, not speed.  It is definitely a work in
  progress, and a lot of things are still missing.
-
-
+ .
+ This is the package for the Debian Installer.
