=== debian/changelog ===
klibc (2.0.3-0ubuntu1) trusty; urgency=medium

  * New upstream release, with ppc64el and arm64 support (LP: #1263793)
    - aarch64-support*: Slightly different and better patches went upstream.
    - 0001-klibc-ppc64-Add-ppc64le-support.patch: Dropped, applied upstream.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Dec 2013 18:06:02 -0700

klibc (2.0.2-1ubuntu2) trusty; urgency=low

  * Call dh_auto_clean with $(DEB_MAKE_ENVVARS) to pass ARCH to make.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 15 Dec 2013 22:17:46 -0700

klibc (2.0.2-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Apply patches to add support for AArch64.
  * Add PowerPC 64bit little endian support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 11:33:13 +0100

klibc (2.0.1-3.1ubuntu2) saucy; urgency=low

  * Apply patches to add support for AArch64.

 -- dann frazier <dann.frazier@canonical.com>  Thu, 15 Aug 2013 11:30:54 -0600

klibc (2.0.1-3.1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Apply patch from upstream to fix compiling with 3.5 headers.
    - Fix <sys/time.h> for Linux 3.5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 18:04:43 +0000

klibc (2.0.1-3ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Apply patch from upstream to fix compiling with 3.5 headers.
    - Fix <sys/time.h> for Linux 3.5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Oct 2012 10:32:06 +0000

klibc (2.0.1-1ubuntu2) quantal; urgency=low

  * Fix <sys/time.h> for Linux 3.5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Sep 2012 13:49:22 +0100

klibc (2.0.1-1ubuntu1) quantal; urgency=low

  * Apply patch from upstream to fix compiling with 3.5 headers.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 Jun 2012 00:33:11 -0600
