=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,9 @@
 ifeq ($(DEB_HOST_ARCH),ppc64)
 DEB_MAKE_ENVVARS := ARCH=ppc64
 endif
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+DEB_MAKE_ENVVARS := ARCH=ppc64
+endif
 
 DEB_MAKE_ENVVARS := INSTALLROOT=debian/tmp $(DEB_MAKE_ENVVARS)
 
@@ -72,7 +75,7 @@
 
 override_dh_auto_clean:
 	rm -rf linux
-	dh_auto_clean
+	dh_auto_clean -- $(DEB_MAKE_ENVVARS)
 
 override_dh_auto_install:
 	make install $(DEB_MAKE_ENVVARS)
