=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/libs/klibc/2.0/klibc-([0-9.]+).tar.bz2
